@charset "UTF-8";
/* =====================
  Custom properties
===================== */
:root {
  /* ==== レイアウト ==== */
  --section-both: 76rem;
  --section-both02: 116rem;
  --section-top: 120rem;
  --section-bottom: 136rem;
}
.inner {
  padding: var(--section-top) var(--section-both) var(--section-bottom);
}
.inner02 {
  padding: var(--section-top) var(--section-both02) var(--section-bottom);
}
.inner--both {
  padding-inline: var(--section-both);
}
.inner--noTop {
  padding-inline: var(--section-both);
  padding-block-end: var(--section-bottom);
}
.inner,
.inner02,
.inner--both,
.inner--noTop {
  max-width: 1352rem;
  margin-inline: auto;
}

.enclosure {
  background: var(--background-image-base) repeat;
  background-attachment: fixed;
  min-height: calc(100vh - var(--margin-around) * 2);
  padding: calc(var(--margin-around02) + 4rem);
  position: relative;
  &::after {
    content: '';
    position: absolute;
    top: var(--margin-around02);
    left: var(--margin-around02);
    width: calc(100% - var(--margin-around02) * 2);
    height: calc(100% - var(--margin-around02) * 2);
    pointer-events: none;
    border: var(--color-primary) solid 4rem;
  }
}

/* =====================
  main
===================== */
/* タイトル */
.section-title {
  margin-bottom: 48rem;
  .en {
    color: var(--color-accent);
    font-size: 18rem;
    display: flex;
    column-gap: 8rem;
    padding-bottom: 8rem;
    &::before {
      content: '';
      display: inline-block;
      width: 8rem;
      height: 2px;
      background-color: var(--color-accent);
      margin-top: calc((1lh - 2px) / 2);
    }
  }
  .ja {
    font-size: 40rem;
    font-weight: var(--bold);
    line-height: 1.4;
    letter-spacing: -0.02em;
  }
}

/* ボタン */
a.btn,
button.btn {
  font-size: 16rem;
  width: fit-content;
  display: flex;
  align-items: center;
  column-gap: 8rem;
  border: solid 2px var(--color-primary);
  color: var(--color-primary);
  padding: 14rem 32rem;
  margin-top: 72rem;
  border-radius: calc(1px / 0);
  transition: all 0.3s ease;
  &.center {
    margin-left: auto;
    margin-right: auto;
  }
  &::after {
    content: '';
    display: inline-block;
    width: 20rem;
    height: 20rem;
    background: url(/assets/img/common/icon-arrow.svg) no-repeat center / contain;
    transition: all 0.3s ease;
  }
  &.--plus {
    &::after {
      background-image: url(/assets/img/common/icon-plus.svg);
    }
  }
  &:hover {
    opacity: 1;
    background-color: var(--color-primary);
    color: var(--color-white);
    &::after {
      background-image: url(/assets/img/common/icon-arrow-w.svg);
    }
    &.--plus {
      &::after {
        background-image: url(/assets/img/common/icon-plus-w.svg);
      }
    }
  }
  .btn-text {
    display: inline-block;
    min-width: 144rem;
    text-align: center;
    font-size: 16rem;
    font-weight: var(--bold);
  }
}

.btn-link {
  padding: 32rem 40rem;
  border-top: solid 2px var(--color-primary);
  border-bottom: solid 2px var(--color-primary);
  display: flex;
  align-items: center;
  justify-content: center;
  column-gap: 16rem;
  font-weight: var(--bold);
  &::after {
    content: '';
    display: inline-block;
    background: url(/assets/img/common/icon-arrow.svg) no-repeat center / contain;
    width: 20rem;
    height: 20rem;
  }
}

/* 見出し */
.headline {
  display: inline-flex;
  flex-direction: column;
  position: relative;
  z-index: 2;
}
.headline-bg {
  position: relative;
  display: block;
  overflow: hidden;
  width: fit-content;
  &.is-active {
    animation: text-bg 1.5s cubic-bezier(0.22, 1, 0.36, 1) forwards;
  }
  &:nth-child(n + 2) {
    margin-top: -1rem;
  }
  &::before {
    content: '';
    background: var(--color-primary);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }
}
.headline-text {
  position: relative;
  z-index: 1;
  padding: 4rem 16rem;
  display: block;
  color: var(--color-white);
  font-size: 40rem;
  font-weight: var(--bold);
  line-height: 1.4;
  letter-spacing: -0.03em;
}
@keyframes text-bg {
  0% {
    -webkit-clip-path: inset(0 100% 0 0);
    clip-path: inset(0 100% 0 0);
  }
  100% {
    -webkit-clip-path: inset(0);
    clip-path: inset(0);
  }
}

/* =====================
  header
===================== */
:root {
  --header-H: 184rem;
}
#header-spacer {
  height: 0;
}
.header {
  display: grid;
  grid-template-columns: auto 1fr auto;
  padding: 16rem;
  height: var(--header-H);
  &.is-static {
    position: static;
    transform: none;
  }
  &.is-fixed {
    transform: translateY(0);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    transition: transform 0.3s ease;
    z-index: 1000;
  }
  &.is-hidden {
    transform: translateY(-100%);
  }
}
.header-enclosure {
  display: contents;
}
.header-logo {
  > a {
    display: inline-flex;
    align-content: center;
    height: 100%;
    background-color: var(--color-white);
    padding: 16rem 24rem;
  }
}
.header-logo__image {
  width: 199rem;
  aspect-ratio: 199 / 50;
}
.header-nav__block {
  margin-left: 80rem;
}
.header-nav {
  display: flex;
  justify-content: right;
}
.header-nav__item {
  > span {
    display: block;
    position: relative;
    &::before,
    &::after {
      content: '';
      position: absolute;
      height: 100%;
      width: 2px;
      background-color: var(--color-primary);
      top: 0;
      bottom: 0;
    }
    &::before {
      left: -1px;
    }
    &::after {
      right: -1px;
    }
  }
}
.header-nav__link,
.header-nav__link--contact {
  display: block;
  font-weight: var(--bold);
  letter-spacing: 0.06em;
  transition: color 0.3s ease;
  position: relative;
  z-index: 0;
  padding: 3rem 18rem;
  text-align: center;
  > span {
    display: block;
    writing-mode: vertical-rl;
    white-space: nowrap;
    min-block-size: 1lh;
  }
  &::after {
    content: '';
    position: absolute;
    background-color: var(--color-primary);
    padding-inline: 2rem;
    width: calc(1em + 3rem * 2);
    height: calc(100% - 2rem * 2);
    top: 2rem;
    left: 50%;
    transform: translateX(-50%) scaleY(0);
    transform-origin: top;
    z-index: -1;
    transition: transform 0.2s ease-in-out;
  }
  &:hover {
    opacity: 1;
    color: var(--color-white);
    &::after {
      transform: translateX(-50%) scaleY(1);
    }
  }
}
.header-left {
  margin-left: 56rem;
  text-align: right;
}
.header-menu {
  border: solid 2px var(--color-primary);
  border-radius: 50%;
  width: 72rem;
  height: 72rem;
  transition: background-color 0.3s ease;
  &:hover {
    background-color: var(--color-primary);
    .header-menu__bar {
      > span {
        background-color: var(--color-white);
      }
    }
  }
}
.header-menu__bar {
  > span {
    display: block;
    width: 24rem;
    height: 2px;
    background-color: var(--color-primary);
    margin: 8rem auto;
    transition: background-color 0.3s ease;
    &:nth-child(2) {
      width: 32rem;
    }
  }
}
.header-tel {
  margin-top: 8rem;
}
.header-tel--number {
  font-size: 28rem;
  display: flex;
  align-items: center;
  text-align: right;
  &::before {
    content: '';
    background: url(/assets/img/common/icon-tel.svg) no-repeat center / contain;
    width: 25rem;
    height: 25rem;
    display: inline-block;
    margin-right: 2rem;
  }
}
.header-tel--hours {
  font-size: 13rem;
  font-weight: var(--bold);
  line-height: 1.6;
  display: block;
  text-align: right;
}
.header-info {
  display: none;
}

/* ヘッダー固定時 */
.is-fixed {
  &.header {
    background: var(--background-image-base) repeat;
    width: 100%;
    height: 112rem;
    padding: 16rem 24rem;
    border-bottom: 3px solid var(--color-primary);
    grid-template-columns: auto 1fr;
  }
  .header-logo {
    > a {
      padding: 12rem 16rem;
    }
  }
  .header-nav__block {
    display: none;
  }
  .header-left {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    column-gap: 32rem;
  }
  .header-menu {
    order: 2;
  }
  .header-tel {
    order: 1;
  }
}

/* open */
body {
  &:has(header.is-open) {
    overflow: hidden;
    height: 100%;
  }
}
.is-open {
  &.header {
    display: block;
    position: fixed;
    inset: 0;
    height: 100%;
    width: 100%;
    background: var(--background-image-base) repeat;
    background-attachment: fixed;
    z-index: 9999;
    padding: var(--margin-around);
    border-bottom: none;
    overflow-y: scroll;
  }
  .header-enclosure {
    display: grid;
    grid-template-columns: auto 1fr auto;
    grid-template-rows: 152rem 1fr auto;
    gap: 32rem 80rem;
    background: var(--background-image-green) repeat;
    background-attachment: fixed;
    min-height: calc(100vh - var(--margin-around) * 2);
    padding: calc(var(--margin-around02) + 4rem + 16rem);
    position: relative;
    &::after {
      content: '';
      position: absolute;
      top: var(--margin-around02);
      left: var(--margin-around02);
      width: calc(100% - var(--margin-around02) * 2);
      height: calc(100% - var(--margin-around02) * 2);
      pointer-events: none;
      border: var(--color-white) solid 4rem;
    }
  }
  .header-nav__block {
    display: block;
    grid-column: 1 / 4;
    grid-row: 2 / 3;
    margin-left: 0;
    padding-top: 16rem;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .header-nav {
    justify-content: center;
    padding: 16rem var(--section-both) 160rem;
  }
  .header-nav__item {
    & > span {
      &::before,
      &::after {
        background-color: var(--color-white);
      }
    }
  }
  .header-nav__link,
  .header-nav__link--contact {
    font-size: 20rem;
    color: var(--color-white);
    padding: 6rem 26rem;
    &:hover {
      color: var(--color-text-primary);
    }
    &::after {
      background-color: var(--color-white);
      height: calc(100% - 6rem * 2);
      top: 6rem;
    }
  }
  .header-left {
    grid-column: 3 / 4;
    grid-row: 1 / 2;
    color: var(--color-white);
    display: block;
  }
  .header-menu {
    border-color: var(--color-white);
    &:hover {
      background-color: var(--color-white);
      .header-menu__bar {
        > span {
          background-color: var(--color-primary);
        }
      }
    }
  }
  .header-menu__bar {
    position: relative;
    width: 100%;
    height: 100%;
    > span {
      margin: 0;
      position: absolute;
      background-color: var(--color-white);
      width: 32rem;
      top: calc(50% - 2px / 2);
      left: calc(50% - 32rem / 2);
      &:first-child {
        transform: rotate(45deg);
      }
      &:nth-child(2) {
        display: none;
      }
      &:nth-child(3) {
        transform: rotate(-45deg);
      }
    }
  }
  .header-tel--number {
    &::before {
      background-image: url(/assets/img/common/icon-tel-w.svg);
    }
  }
  .header-info {
    display: block;
    grid-column: 1 / 4;
    grid-row: 3 / 4;
    color: var(--color-white);
    padding: 32rem var(--section-both);
  }
  .header-info__company {
    font-size: 14rem;
  }
  .header-info__list {
    margin-top: 8rem;
    display: flex;
    flex-wrap: wrap;
    gap: 24rem 56rem;
  }
  .header-info__item {
    font-size: 12rem;
  }
  .header-info__copyright {
    font-size: 10rem;
    margin-top: 16rem;
  }
  .drawer-curtain {
    animation: curtainDown 0.9s ease forwards;
    transform-origin: top;
  }
}
.drawer-curtain {
  position: fixed;
  inset: 0;
  background: var(--color-primary);
  transform: scaleY(0);
  opacity: 0;
  pointer-events: none;
  z-index: 99999;
}
@keyframes curtainDown {
  0% {
    transform: scaleY(1);
    opacity: 1;
  }
  60% {
    transform: scaleY(0);
    opacity: 1;
  }
  100% {
    transform: scaleY(0);
    opacity: 0;
  }
}

/* =====================
  gallery
===================== */
.gallery-link__banner {
  display: grid;
  grid-template-columns: 361rem 1fr;
  border: solid 2px var(--color-primary);
  margin-inline: 72rem;
  &:hover {
    opacity: 0.9;
    .gallery-link__btn {
      opacity: 1;
      background-color: var(--color-primary);
      color: var(--color-white);
      &::after {
        background-image: url(/assets/img/common/icon-arrow-w.svg);
      }
    }
  }
}
.gallery-link__block {
  padding: 52rem 56rem;
  border-right: solid 2px var(--color-primary);
  background: var(--background-image-white) repeat;
}
.gallery-link__title {
  line-height: 1.6;
  font-weight: var(--bold);
  letter-spacing: -0.03em;
}
.gallery-link__title--sub {
  font-size: 17rem;
  margin-bottom: 16rem;
  display: block;
}
.gallery-link__title--main {
  font-size: 32rem;
  margin-bottom: 32rem;
}
.gallery-link__btn {
  display: block;
  width: 40rem;
  height: 40rem;
  border-radius: 50%;
  border: solid 2px var(--color-primary);
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 32rem 0 0 auto;
  &::after {
    content: '';
    display: inline-block;
    width: 20rem;
    height: 20rem;
    background: url(/assets/img/common/icon-arrow.svg) no-repeat center / contain;
    transition: all 0.3s ease;
  }
}
.gallery-link__image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  aspect-ratio: 675 / 388;
}

/* =====================
  footer
===================== */
.footer {
  border-top: solid 4px var(--color-primary);
  .inner--both {
    padding-top: 80rem;
  }
}
.footer__wrapper {
  display: grid;
  grid-template-columns: auto 1fr;
  column-gap: 64rem;
  padding-bottom: 56rem;
}
.footer-logo__link {
  display: inline-block;
  padding: 16rem 24rem;
  background-color: var(--color-white);
}
.footer-logo__image {
  width: 199rem;
  aspect-ratio: 199 / 50;
}
.footer-info__address {
  margin-top: 16rem;
  font-size: 22rem;
}
.footer-info--fax {
  margin-top: 4rem;
}
.footer-info__kind {
  font-size: 16rem;
  min-width: 32rem;
  display: inline-block;
  margin-right: 6rem;
}
.footer-nav__list {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  gap: 40rem;
  font-weight: var(--bold);
  line-height: 1.6;
  letter-spacing: -0.03em;
}
.footer-nav__item--contact {
  margin-left: 16rem;
  .footer-nav__link {
    display: inline-block;
    color: var(--color-white);
    background-color: var(--color-primary);
    min-width: 190rem;
    padding: 12rem 16rem;
    border-radius: calc(1px / 0);
    border: solid 2px var(--color-primary);
    transition: all 0.3s ease;
    text-align: center;
    &:hover {
      opacity: 1;
      background: transparent;
      background-attachment: fixed;
      border: solid 2px var(--color-primary);
      color: var(--color-primary);
    }
  }
}
.footer-subnav__list {
  width: 190rem;
  margin: 40rem 0 0 auto;
}
.footer-subnav__item {
  text-align: center;
}
.footer-subnav__link {
  font-size: 13rem;
  font-weight: var(--bold);
  line-height: 1.6;
  letter-spacing: -0.03em;
  text-align: center;
}
.footer-copyright {
  text-align: center;
  font-size: 13rem;
  padding-block: 32rem;
}

/* =====================
  2nd
===================== */
:not(:has(.is-open)) {
  .page-property,
  .page-property-detail {
    .header-nav__link[data-page='property'] {
      color: var(--color-white);
      &::after {
        transform: translateX(-50%) scaleY(1);
      }
    }
  }
  .page-gallery {
    .header-nav__link[data-page='gallery'] {
      color: var(--color-white);
      &::after {
        transform: translateX(-50%) scaleY(1);
      }
    }
  }
  .page-company {
    .header-nav__link[data-page='company'] {
      color: var(--color-white);
      &::after {
        transform: translateX(-50%) scaleY(1);
      }
    }
  }
  .page-local {
    .header-nav__link[data-page='local'] {
      color: var(--color-white);
      &::after {
        transform: translateX(-50%) scaleY(1);
      }
    }
  }
  .page-recruit,
  .page-entry {
    .header-nav__link[data-page='recruit'] {
      color: var(--color-white);
      &::after {
        transform: translateX(-50%) scaleY(1);
      }
    }
  }
  .page-news {
    .header-nav__link[data-page='news'] {
      color: var(--color-white);
      &::after {
        transform: translateX(-50%) scaleY(1);
      }
    }
  }
  .page-contact {
    .header-nav__link--contact[data-page='contact'] {
      color: var(--color-white);
      &::after {
        transform: translateX(-50%) scaleY(1);
      }
    }
  }
}

/* ページタイトル */
.page-title__inner {
  padding-inline: var(--section-both);
}
.page-title__block {
  display: grid;
  grid-template-columns: auto 1fr;
  align-items: flex-end;
  padding-block: 64rem;
  &:not(:has(.page-title__text)) {
    display: block;
  }
}
.page-title__text {
  .en {
    display: block;
    font-size: 24rem;
    text-transform: uppercase;
    margin-bottom: 8rem;
    color: var(--color-accent);
  }
  .ja {
    font-size: 56rem;
    font-weight: var(--bold);
    line-height: 1.4;
    letter-spacing: -0.03em;
  }
}

/* パンくず */
.bread {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  flex-wrap: wrap;
  gap: 16rem 10rem;
  padding-bottom: 8rem;
}
.bread__item {
  font-size: 13rem;
  font-weight: var(--bold);
  display: flex;
  align-items: center;
  gap: 10rem;
  &:not(:last-child) {
    &::after {
      content: '';
      background-color: var(--color-accent);
      width: 5rem;
      height: 5rem;
      display: inline-block;
    }
  }
}
.page-title__image {
  width: 100%;
  height: 394rem;
  object-fit: cover;
}

/* タイトル */
.section-title02 {
  font-weight: var(--bold);
  line-height: 1.4;
  letter-spacing: -0.02em;
  padding-bottom: 21rem;
  position: relative;
  margin-bottom: 40rem;
  &::before,
  &::after {
    content: '';
    position: absolute;
    height: 5rem;
    left: 0;
    bottom: 0;
  }
  &::before {
    width: 100%;
    background-color: rgb(89 93 38 /0.16);
  }
  &::after {
    width: 88rem;
    background-color: var(--color-accent);
  }
  .enclosed {
    margin-bottom: 8rem;
    display: inline-block;
    padding: 0 8rem;
    border-radius: 2rem;
    border: var(--border) var(--color-primary);
  }
  .ja {
    font-size: 32rem;
  }
}

.section-title03 {
  font-size: 24rem;
  font-weight: var(--bold);
  line-height: 1.6;
  letter-spacing: -0.02em;
  margin-bottom: 32rem;
}

/* リスト */
.list {
  margin-inline: 80rem;
}
.list-item {
  display: grid;
  grid-template-columns: 192rem 1fr;
  column-gap: 24rem;
  padding-block: 32rem;
  border-bottom: var(--border) var(--color-list-border);
  &:first-child {
    padding-block-start: 16rem;
  }
}
.list-item__title {
  font-weight: var(--bold);
}
.list-item__body--text {
  + .list-item__body--text {
    margin-top: 16rem;
  }
}
